Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

When a user is creating a new issue, it would be helpful to search for duplicate issues to prevent multiple issues being created for the
same reasons.

Sites like stackoverflow.com do this really well when creating a new question. It's AJAXed however a 'on submit' option would also
suffice.

Related issues:
Is duplicate of Redmine - Feature #5840: Live lookup of the existing issues b... New 2010-07-08

History

#1 - 2011-11-23 21:21 - Mischa The Evil

- Subject changed from duplicate issue search on new issue submit to Duplicate issue search on new issue submit

For referencing: initiated via Search Open Issues before Creating New Issue.

How do you think this search has to be done? Based on what information do you want this feature to determine whether or not the to-be-created issue
will be a duplicate? Not to speak about the likely to arise performance issues whenever issues are submitted...

#2 -2011-11-24 10:11 - David B

| admit im not a redmine developer and know nothing about ruby/rails. But doing a fulltext style search (sphinx or mysq|) on title and description of
issues in the same project. The search would probably only try to match the newly created issue title with the existing open issues.

Performance is important so | would suggest:

1. when the user has entered something into the title of the issue and has taken focus off to then initiate an ajax search
or do it on submit of the issue. However this will slow down the issue creation

Eitherway, it could really help for teams who have rather large lists of issues and a large team working within redmine.
#3 - 2011-11-24 12:36 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Sorry, this is a duplicate of #5840.

#4 - 2011-11-24 12:38 - David B

Etienne Massip wrote:

Sorry, this is a duplicate of #5840.

| rest my case...

#5 - 2011-11-24 16:41 - Terence Mill

+1
